# DataExchange
TKSTEPBase
StepShape

# StepShape_DefinitionalRepresentationAndShapeRepresentation Class Reference

Implements complex type
(DEFINITIONAL_REPRESENTATION,REPRESENTATION,SHAPE_REPRESENTATION)
.

`#include <StepShape_DefinitionalRepresentationAndShapeRepresentation.hxx>`

Inheritance diagram for StepShape_DefinitionalRepresentationAndShapeRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_DefinitionalRepresentationAndShapeRepresentation ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DefinitionalRepresentationAndShapeRepresentation::StepShape_DefinitionalRepresentationAndShapeRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_DefinitionalRepresentationAndShapeRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_DefinitionalRepresentation.

The documentation for this class was generated from the following file:

- StepShape_DefinitionalRepresentationAndShapeRepresentation.hxx